crypto-pubkey-0.2.4: Public Key cryptography

Safe Haskell | None

Crypto.PubKey.ECC.Generate

Description

Signature generation.

Synopsis

- generateQ :: Curve -> Integer -> Point
- generate :: CPRG g => g -> Curve -> ((PublicKey, PrivateKey), g)

# Documentation

generateQ :: Curve -> Integer -> Point Source

Generate Q given d.

WARNING: Vulnerable to timing attacks.

generate Source

Arguments

:: CPRG g |
=> g | CPRG
-> Curve | Elliptic Curve
-> ((PublicKey, PrivateKey), g) |

Generate a pair of (private, public) key.

WARNING: Vulnerable to timing attacks.